Wikis have content namespaces that are possibly accidentally excluded from the default results of Special:Search
Closed, ResolvedPublic

Description

Background
It seems there are several disjunctions between wgContentNamespaces and wgNamespacesToBeSearchedDefault. The latter is what is reflected as "Content" in the Special:Search page.

This was noticed because "Risotto" doesn't return any results on en.wikibooks, even though there is the page Cookbook:Risotto. I have created a diff list between the two variables using P5740

  • Not searching 102 for +aswikisource
  • Not searching [100] for +bnwikisource
  • Not searching 102 for +enwikibooks: Cookbook namespace
  • Not searching 110 for +enwikibooks: WikiJunior namespace
  • Not searching [102, 110] for +fawikibooks (کتاب_آشپزی cookbook) and ویکی_کودک wikijunior)
  • Not searching 100 for +hewikisource
  • Not searching 106 for +hewikisource
  • Not searching 110 for +hewikisource
  • Not searching [102] for +hrwiki
  • Not searching [104] for +ltwikipedia: vikiprojektas (wikiprojects ? why is that in contentnamespaces ?)
  • Not searching [102] for +srwikibooks: кувар (cookbook)
  • Not searching [100] for +srwikisource
  • Not searching [100, 110] for +trwikibooks: yemek (cookbook) and vikiçocuk (wikijunior)

Some of these might be desirable, but likely most not.

Success criteria
Reach out to the communities affected and ask if they would like the setting to be changed. Create subtasks to track the technical configuration changes requested (if any)

Timeline
This was unplanned work. The actual change should be technically trivial, reaching out and discussing with communities will take a little longer (weeks at minimum between informing, consensus, and responding)

TheDJ created this task.Jul 12 2017, 8:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 12 2017, 8:10 PM
TheDJ renamed this task from Wiki's have content namespaces that are included in the default results of Special:Search to Wiki's have content namespaces that are possibly accidentally excluded from the default results of Special:Search.Jul 12 2017, 8:11 PM
TheDJ updated the task description. (Show Details)Jul 12 2017, 8:14 PM
TheDJ updated the task description. (Show Details)Jul 12 2017, 8:18 PM
gh87 added a subscriber: gh87.Jul 12 2017, 9:56 PM

@TheDJ I made a note at VPP discussion saying that en.wikibooks search engine is fine. It's just that... that depends on how you search whatever term you enter.

enWS has been managing its namespace in this regard. We treat our default ns for search and content nss differently. As such our page: ns. is included in content, BUT not included in default search. Most users should be directed to our presentation workspaces main/author:/portal:/translation: nss rather than our workspaces of page:/index: where we do the bulk of our editing, and and formatting.

TheDJ updated the task description. (Show Details)Jul 13 2017, 12:09 PM
TheDJ updated the task description. (Show Details)Jul 13 2017, 12:11 PM
TheDJ updated the task description. (Show Details)Jul 13 2017, 12:14 PM
debt triaged this task as Normal priority.Jul 13 2017, 5:10 PM
debt edited projects, added Discovery-Search (Current work); removed Discovery-Search.
debt added a subscriber: debt.

Let's take a look at this.

Liuxinyu970226 added a subscriber: Liuxinyu970226.

As affecting bnwikisource

@CKoerner_WMF: is there an easy way to reach out to all of the affected communities and see if they have thoughts on what should and shouldn't be excluded from default results? (For the purposes of this task, "ask Chris to do it" may count as easy enough.)

Easy? Well, I think I can see a way forward so in that sense it's easy. :)

It looks like we have a list of communities, and the question would be the same for each (with specific namespaces differing between projects). "Would you like <namespace> to be included in search results by default?".

If that understanding/assumption is correct, we can draft a message to ask the communities, get translations in pace, and post to the local Village Pump equivalent for discussion. For those communities that desire a change, file phab tasks to take care of the requests.

Does that sound agreeable?

Does that sound agreeable?

Works for me, if others agree.

debt added a comment.Jul 19 2017, 3:44 PM

Sounds good to me! @TJones do you want to take a stab at the initial message? :)

Sounds good to me! @TJones do you want to take a stab at the initial message? :)

I don't know a ton about this ticket. I was just following up from the sprint planning meeting because it looked new to the backlog. So.... "not it".

NOT IT!

So.... "not it".

DANGIT

Super early draft: https://www.mediawiki.org/wiki/User:CKoerner_(WMF)/Content_namespaces_search_discussion

I'll work on this more in the following week. Feedback and thoughts are welcome.

Thanks, @CKoerner_WMF. Looks quite reasonable. Curious what @TheDJ, @gh87, @Billinghurst, and maybe @Liuxinyu970226 think, since they seem to have more insight into the issue.

TheDJ added a comment.Jul 24 2017, 5:58 PM

Seems ok to me.

gh87 added a comment.EditedJul 24 2017, 5:59 PM

@TJones We are still pending results from the RFC discussion that seemed to delay the T168697 (suppress results from Wikibooks in en.wp). As for other wikis, I won't object.

Update: The result of the discussion was "no consensus", defaulting to suppressing Wikibooks from en.wp's interwiki search results.

Another update: Somehow, the task to suppress was declined, and T171803 was made to reorganize the sister project snippets

Elitre renamed this task from Wiki's have content namespaces that are possibly accidentally excluded from the default results of Special:Search to Wikis have content namespaces that are possibly accidentally excluded from the default results of Special:Search.Jul 31 2017, 6:52 PM
debt added a comment.Aug 1 2017, 9:13 PM

Draft looks good, @CKoerner_WMF, thanks for writing it up!

I double checked and updated the draft with what I understand to be the list of wikis where we need this message and which namespaces to ask about.

It looks like bnwikisource is searching the 100 namespace. @TheDJ can you please confirm that I read your list/diff correctly?

I have asked the translators in our communities to help translate the message. Once I have translations (or a few days transpire) I will post to the affected communities asking what they would like to do.

https://www.mediawiki.org/wiki/User:CKoerner_(WMF)/Content_namespaces_search_discussion

@CKoerner_WMF , we didn't get any message in Bengali Wikisource.

@Bodhisattwa I skipped bn.wikisource because it looks like it is already searching the additional namespace (T170473#3495187). If you can confirm if that is true or not I would greatly appreciate the help. If I am wrong, I can post a message to the community for feedback and help get the change in place.

@CKoerner_WMF , I dont think, bn.wikisource is searching the 100 (লেখক) namespace by default (for example, the search result does not show this writer). Also, we need 106 (প্রবেশদ্বার) and 114 (অনুবাদ) namespaces to include in default search.

@Bodhisattwa Ok, it sounds like we should talk to the Bengali Wikisource community and get consensus. I have a post in English I can publish, but would much prefer a translation. Do you know of someone would could help me with that? :)

https://www.mediawiki.org/wiki/User:CKoerner_(WMF)/Content_namespaces_search_discussion

debt updated the task description. (Show Details)Oct 3 2017, 5:17 PM
Bodhisattwa added a comment.EditedOct 4 2017, 4:06 AM

@Bodhisattwa Ok, it sounds like we should talk to the Bengali Wikisource community and get consensus. I have a post in English I can publish, but would much prefer a translation. Do you know of someone would could help me with that? :)

https://www.mediawiki.org/wiki/User:CKoerner_(WMF)/Content_namespaces_search_discussion

@CKoerner_(WMF) I could have done that but I am travelling. Please post the message in English, no problem with that.

Message posted! Once we get some feedback I will create a task to make the updates if needed. Thanks @Bodhisattwa for the feedback!

https://bn.wikisource.org/wiki/উইকিসংকলন:লিপিশালা#Adding_content_namespaces_to_search_results

debt awarded a token.Oct 4 2017, 2:39 PM
gh87 removed a subscriber: gh87.Oct 12 2017, 8:30 AM
gh87 added a subscriber: gh87.
gh87 removed a subscriber: gh87.
CKoerner_WMF updated the task description. (Show Details)Oct 16 2017, 4:43 PM
TJones updated the task description. (Show Details)Oct 16 2017, 5:20 PM

With today's merging of the code for adding namespaces to Bengali Wikisource, I think we've done everything that the community has wanted us to do for this ticket and moving it to the done column.

Please review, @CKoerner_WMF, and let us know if you've heard of any other requests, as we're happy to assist! :)

CKoerner_WMF closed this task as Resolved.Oct 18 2017, 2:11 PM

A heartfelt thanks to everyone who participated in making this happen. An especially big thanks to @TheDJ for discovering the discrepancy and brining it to our attention. I checked the other sites and didn't see any further responses. Resolving!